# mongoc_collection_destroy()

## Synopsis

    void
    mongoc_collection_destroy (mongoc_collection_t *collection);

## Parameters

- `collection`: A mongoc_collection_t.

## Description

This function shall destroy a mongoc_collection_t and its associated resources. Does nothing if `collection` is NULL.

Warning

Always destroy a mongoc_cursor_t created from a collection before destroying the collection.